libxml++ 2.35.3

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
xmlpp::SaxParser::AttributeHasName Struct Reference

This functor is a helper to find an attribute by name in an AttributeList using the standard algorithm std::find_if. More...

`#include <libxml++/parsers/saxparser.h>`

Collaboration diagram for xmlpp::SaxParser::AttributeHasName:
[legend]

List of all members.

## Public Member Functions

| AttributeHasName (Glib::ustring const& n)
bool | operator() (Attribute const& attribute)

## Public Attributes

Glib::ustring const& | name

## Detailed Description

This functor is a helper to find an attribute by name in an AttributeList using the standard algorithm std::find_if.

Example:
`Glib::ustring name = "foo";
AttributeList::const_iterator attribute = std::find_if(attributes.begin(), attributes.end(), AttributeHasName(name));`

## Constructor & Destructor Documentation

xmlpp::SaxParser::AttributeHasName::AttributeHasName | ( | Glib::ustring const & | n | ) | `[inline]`

## Member Function Documentation

bool xmlpp::SaxParser::AttributeHasName::operator() | ( | Attribute const& | attribute | ) | `[inline]`

## Member Data Documentation

Glib::ustring const& xmlpp::SaxParser::AttributeHasName::name

The documentation for this struct was generated from the following file:

- parsers/saxparser.h